import { Http,Util } from '@/utils';
import EntityService from '../entity-service';



/**
 * 账户服务对象基类
 *
 * @export
 * @class IBIZAccountServiceBase
 * @extends {EntityServie}
 */
export default class IBIZAccountServiceBase extends EntityService {

    /**
     * Creates an instance of  IBIZAccountServiceBase.
     * 
     * @param {*} [opts={}]
     * @memberof  IBIZAccountServiceBase
     */
    constructor(opts: any = {}) {
        super(opts);
    }

    /**
     * 初始化基础数据
     *
     * @memberof IBIZAccountServiceBase
     */
    public initBasicData(){
        this.APPLYDEKEY ='ibizaccount';
        this.APPDEKEY = 'ibizaccountid';
        this.APPDENAME = 'ibizaccounts';
        this.APPDETEXT = 'ibizaccountname';
        this.APPNAME = 'web';
        this.SYSTEMNAME = 'demosys';
    }

// 实体接口

    /**
     * Select接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof IBIZAccountServiceBase
     */
    public async Select(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
            let res:any = Http.getInstance().post(`/ibizaccounts/${context.ibizaccount}/select`,data,isloading);

            return res;
    }

    /**
     * FetchDefault接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof IBIZAccountServiceBase
     */
    public async FetchDefault(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
    }
}